<div style="margin-bottom: 15px;">

    <p-dataTable
        [value]="uomConversions"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        rowHover="true"
        dataKey="idUomConversion"
        (onLazyLoad)="loadDataLazy($event)"
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['uom-conversion-popup-new-list', null] } }]"><span><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</span></a>
                </li>
            </ul>
        </p-header>
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.uomConversion.factor'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.factor | number: '.0-2'}}
            </ng-template>
            <ng-template let-col let-rowData="rowData" pTemplate="editor">
                <input currencyMask [(ngModel)]="rowData.factor"
                    [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '2' }"/>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.uomConversion.uomTo'|translate}}" *ngIf="idUomTo === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.uomToId">
                    <a [routerLink]="['../uom', rowData.uomToId  ]" >{{rowData.uomToDescription}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.uomConversion.uomFrom'|translate}}" *ngIf="idUomFrom === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.uomFromId">
                    <a [routerLink]="['../uom', rowData.uomFromId  ]" >{{rowData.uomFromDescription}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '75px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="button"
                    [routerLink]="['/', { outlets: { popup: 'uom-conversion/'+ rowData.idUomConversion + '/edit'} }]"
                    replaceUrl="true"
                    icon="fa-pencil"
                    class="flat-button">
                </button>
                <button pButton type="button"
                    (click)="delete(rowData.idUomConversion)"
                    icon="fa-remove"
                    class="flat-button">
                </button>
            </ng-template>
        </p-column>
    </p-dataTable>
</div>
